Name:		yoshimi
Version:	1.4.1
Release:	%mkrel 1

Summary:	Rewrite of ZynAddSubFx aiming for better JACK support
Group:		Sound
License:	GPLv2+
URL:		http://sourceforge.net/projects/%{name}
Source0:	http://downloads.sourceforge.net/%{name}-%{version}.tar.xz
Patch0:		%{name}-cflags.patch
BuildRequires:	desktop-file-utils
BuildRequires:	%{_lib}jack-devel
BuildRequires:	cmake 
BuildRequires:	zlib-devel 
BuildRequires:	%{_lib}fontconfig-devel
BuildRequires:	%{_lib}fltk-devel 
BuildRequires:	%{_lib}fftw-devel
BuildRequires:	%{_lib}mxml-devel 
BuildRequires:	%{_lib}alsa2-devel 
BuildRequires:	%{_lib}sndfile-devel
BuildRequires:	%{_lib}boost-devel
BuildRequires:	%{_lib}mesaglu1-devel
BuildRequires:	cairo-devel
BuildRequires:  lv2-devel
BuildRequires:  %{_lib}readline-devel
BuildRequires:  %{_lib}ncurses-devel

%description
Yoshimi is a rewrite of ZynAddSubFx to improve its compatibility with
the Jack Audio Connection Kit.

ZynAddSubFX is an open source software synthesizer capable of making a
countless number of instrument sounds. It is microtonal, and the instruments
made by it sounds like those from professional keyboards. The program has
effects like Reverb, Echo, Chorus, Phaser...

%prep
%setup -q 
%apply_patches

%build
cd src
cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr .
%make 

%install
rm -rf $RPM_BUILD_ROOT
cd src
%makeinstall_std

cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=yoshimi
Comment=High-performance real-time software synthesizer
GenericName=Polyphonic Multitimbral Software Synthesizer
Icon=yoshimi
Type=Application
Exec=yoshimi
Terminal=false
Categories=Audio;AudioVideo;X-MandrivaLinux-Multimedia-Audio;
EOF


%post
%{update_menus}

%postun
%{clean_menus}


%files
%defattr(-,root,root)
%doc Changelog COPYING README.txt doc/*
%{_bindir}/%{name}
%{_datadir}/%{name}/banks/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/presets/
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/%{name}/examples/
%{_libdir}/lv2/%{name}.lv2/
%{_mandir}/man1/yoshimi.1*

%changelog
* Thu Oct 06 2016 Ken <lxgator at gmail.com> 1.4.1-1pclos2016
Initial pkg
